Subject: [PATCH v2 00/12] clk/exynos convert clock IDs to macros

From: [email-masked] (Tomasz Figa)
Date: Fri, 06 Sep 2013 13:19:49 +0200

Hi Andrzej,

On Friday 06 of September 2013 12:12:29 Andrzej Hajda wrote:
> Hi,
> 
> This patch set adds headers with defines of exynos clocks.
> Then it converts dts files and drivers to use macros instead
> of magic numbers/enums to describe clock bindings.
> 
> The patch set is based on the latest mturquette/clk-next branch.
> 
> The patches are generated by script.
> I have verified random clocks by hand.
> I have also tested it on exynos4 based board.
> 
> This is the 2nd version of the patchset.
> Changes:
> - corrected devicetree mailing list,
> - added comments to include/dt-bindings/clock/exynos4.h for
>   clocks present only in particular chip,
> - added tab alignement in headers,
> - added comment to CLK_NR_CLKS,
> - added copyright headers,
> - split long lines in dts,
> - corrected example in bindings/clock/exynos5250-clock.txt, to point
>   appropriate clocks.
> 
> Regards
> Andrzej
> 
> Andrzej Hajda (12):
>   ARM: exynos4: create a DT header defining CLK IDs
>   ARM: dts: exynos4: convert magic numbers to macros in clock bindings
>   clk: exynos4: replace clock ID private enums with IDs from DT header
>   ARM: exynos5250: create a DT header defining CLK IDs
>   ARM: dts: exynos5250: convert magic numbers to macros in clock
>     bindings
>   clk: exynos5250: replace clock ID private enums with IDs from DT
>     header
>   ARM: exynos5420: create a DT header defining CLK IDs
>   ARM: dts: exynos5420: convert magic numbers to macros in clock
>     bindings
>   clk: exynos5420: replace clock ID private enums with IDs from DT
>     header
>   ARM: exynos5440: create a DT header defining CLK IDs
>   ARM: dts: exynos5440: convert magic numbers to macros in clock
>     bindings
>   clk: exynos5440: replace clock ID private enums with IDs from DT
>     header
> 
>  .../devicetree/bindings/clock/exynos4-clock.txt    | 259 +------
>  .../devicetree/bindings/clock/exynos5250-clock.txt | 160 +---
>  .../devicetree/bindings/clock/exynos5420-clock.txt | 184 +----
>  .../devicetree/bindings/clock/exynos5440-clock.txt |  45 +-
>  arch/arm/boot/dts/exynos4.dtsi                     |  55 +-
>  arch/arm/boot/dts/exynos4210.dtsi                  |   6 +-
>  arch/arm/boot/dts/exynos4412.dtsi                  |   2 +-
>  arch/arm/boot/dts/exynos4x12.dtsi                  |   2 +-
>  arch/arm/boot/dts/exynos5250.dtsi                  |  92 +--
>  arch/arm/boot/dts/exynos5420.dtsi                  |  13 +-
>  arch/arm/boot/dts/exynos5440.dtsi                  |  27 +-
>  drivers/clk/samsung/clk-exynos4.c                  | 857
> ++++++++++----------- drivers/clk/samsung/clk-exynos5250.c              
> | 501 ++++++------ drivers/clk/samsung/clk-exynos5420.c               |
> 648 ++++++++-------- drivers/clk/samsung/clk-exynos5440.c              
> |  81 +-
>  include/dt-bindings/clock/exynos4.h                | 244 ++++++
>  include/dt-bindings/clock/exynos5250.h             | 157 ++++
>  include/dt-bindings/clock/exynos5420.h             | 188 +++++
>  include/dt-bindings/clock/exynos5440.h             |  42 +
>  19 files changed, 1734 insertions(+), 1829 deletions(-)
>  create mode 100644 include/dt-bindings/clock/exynos4.h
>  create mode 100644 include/dt-bindings/clock/exynos5250.h
>  create mode 100644 include/dt-bindings/clock/exynos5420.h
>  create mode 100644 include/dt-bindings/clock/exynos5440.h

I believe this series should be rebased on top of my series (and possibly 
remaining patches touching clock numbers queued on the list):
[PATCH v2 00/16] Exynos clock clean-up for 3.12
http://thread.gmane.org/gmane.linux.kernel.samsung-soc/22514

Otherwise, it's really nice to finally see this being cleaned up, so:
Acked-by: Tomasz Figa <[email-masked]>

Best regards,
Tomasz